# $Revision: 1.15 $, $Date: 2008/11/10 23:23:37 $
# Conditional build:
%bcond_with	tests		# build with tests. needs mysql server on localhost:3306
#
Summary:	MySQL Proxy
Summary(pl.UTF-8):	Proxy MySQL
Name:		mysql-proxy
Version:	0.6.1
Release:	2
License:	GPL
Group:		Applications/Networking
Source0:	http://mysql.tonnikala.org/Downloads/MySQL-Proxy/%{name}-%{version}.tar.gz
# Source0-md5:	f5b003f069c294002ae37c6df3a7a0a5
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-lua.patch
URL:		http://forge.mysql.com/wiki/MySQL_Proxy
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.4.0
BuildRequires:	libevent-devel
BuildRequires:	libtool
BuildRequires:	lua51-devel
BuildRequires:	mysql-devel
BuildRequires:	rpmbuild(macros) >= 1.268
%if %{with tests}
BuildRequires:	check
BuildRequires:	lua51
%endif
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts >= 0.4.0.20
Provides:	group(mysqlproxy)
Provides:	user(mysqlproxy)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MySQL Proxy is a simple program that sits between your client and
MySQL server(s) that can monitor, analyze or transform their
communication. Its flexibility allows for unlimited uses; common ones
include: load balancing; failover; query analysis; query filtering and
modification; and many more.

%description -l pl.UTF-8
MySQL Proxy to prosty program tkwiący między klienten a
serwerem/serwerami MySQL, potrafiący monitorować, analizować i
przekształcać ich komunikację. Jego elastyczność pozwala na
nieograniczone wykorzystanie; popularne sposoby użycia obejmują: load
balancing, failover, analizę zapytań, filtrowanie i modyfikowanie
zapytań... i wiele więcej.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-lua=lua51
%{__make}

%if %{with tests}
export MYSQL_USER=mysql
export MYSQL_PASSWORD=
export MYSQL_HOST=localhost
export MYSQL_PORT=3306
export MYSQL_DB=test
%{__make} -C tests/suite check
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# put those to -tutorial package
rm -f $RPM_BUILD_ROOT%{_datadir}/*.lua
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},/var/run/mysql-proxy}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 193 mysqlproxy
%useradd -u 193 -g mysqlproxy -c "MySQL Proxy" mysqlproxy

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "MySQL Proxy"

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove mysqlproxy
	%groupremove mysqlproxy
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README README.TESTS THANKS
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(755,root,root) %{_sbindir}/mysql-proxy
%{_datadir}/%{name}
%dir %attr(775,root,mysqlproxy) /var/run/mysql-proxy

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mysql-proxy.spec,v $
Revision 1.15  2008/11/10 23:23:37  glen
- release 2

Revision 1.14  2008/10/29 22:24:44  glen
-- official 0.6.1 tarball

Revision 1.13  2007-12-11 10:25:04  glen
- exported from 0.6.1 tag

Revision 1.12  2007-12-10 14:43:01  glen
- rel 2

Revision 1.11  2007-12-10 11:32:30  glen
- add mysqlproxy user/group; rel 1

Revision 1.10  2007-11-21 23:29:32  glen
- add initscript

Revision 1.9  2007-11-21 22:43:47  glen
- tests pass if requirements made

Revision 1.8  2007-11-21 22:24:43  glen
- autoregen works now

Revision 1.7  2007-11-21 10:22:04  glen
- add tests, lua patch
- am regen fails

Revision 1.6  2007-11-21 09:51:19  glen
- update to 0.6.0

Revision 1.5  2007-07-07 00:12:15  qboosh
- pl

Revision 1.4  2007/06/26 18:52:34  glen
- BR: glib2-devel

Revision 1.3  2007/06/26 18:47:09  glen
- BR: mysql-devel

Revision 1.2  2007/06/26 18:46:01  glen
- BR: libevent-devel

Revision 1.1  2007/06/26 07:24:02  glen
- new
